This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 845788 - [abrt] xchat-gnome-0.26.2-6.git40c5bf988.fc17: g_type_check_instance_is_a: Process /usr/bin/xchat-gnome was killed by signal 11 (SIGSEGV)
[abrt] xchat-gnome-0.26.2-6.git40c5bf988.fc17: g_type_check_instance_is_a: Pr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
abrt_hash:78fa58584b4284c7aaee0488e35...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 22:53 EDT by Mengxuan Xia
Modified: 2014-03-16 23:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:43:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (18.48 KB, text/plain)
2012-08-04 22:53 EDT, Mengxuan Xia
no flags Details
File: smolt_data (2.60 KB, text/plain)
2012-08-04 22:53 EDT, Mengxuan Xia
no flags Details
File: maps (45.29 KB, text/plain)
2012-08-04 22:53 EDT, Mengxuan Xia
no flags Details
File: dso_list (10.36 KB, text/plain)
2012-08-04 22:53 EDT, Mengxuan Xia
no flags Details

  None (edit)
Description Mengxuan Xia 2012-08-04 22:53:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xchat-gnome
comment:        Connected to freenode and try to list channels
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/xchat-gnome
kernel:         3.5.0-2.fc17.x86_64
pid:            6322
pwd:            /home/xiamx
remote_result:  NOTFOUND
time:           2012年08月04日 星期六 22时43分58秒
uid:            1000
username:       xiamx
xsession_errors: 

backtrace:      Text file, 18926 bytes
dso_list:       Text file, 10604 bytes
maps:           Text file, 46374 bytes
smolt_data:     Binary file, 2667 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/xiamx/2

core_backtrace:
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x308dc g_type_check_instance_is_a libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x14269 g_object_ref libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14a36d - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x195f7c - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x197ecd - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20450 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b914 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2 0x23389 fe_main [exe] -
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2 0x1d77a main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=THINK-MX
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/xiamx/keyring-U0L97B
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=FCITX
:USER=xiamx
:USERNAME=xiamx
:MAIL=/var/spool/mail/xiamx
:PATH=/usr/lib64/qt-3.3/bin:/usr/NX/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/xiamx/.local/bin:/home/xiamx/bin
:DESKTOP_SESSION=gnome
:NXDIR=/usr/NX
:QT_IM_MODULE=xim
:PWD=/home/xiamx
:XMODIFIERS=@im=fcitx
:GNOME_KEYRING_PID=963
:LANG=zh_CN.utf8
:GDM_LANG=zh_CN.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/xiamx
:SHLVL=1
:LOGNAME=xiamx
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-X0m9CG32Yx,guid=70c39811f1d63b7bc410ab8a00000037
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/xiamx
:DISPLAY=:0
:GTK_IM_MODULE=xim
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-xiamx-Ih5nvn/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/967,unix/unix:/tmp/.ICE-unix/967
:SSH_AUTH_SOCK=/run/user/xiamx/keyring-U0L97B/ssh
:GPG_AGENT_INFO=/run/user/xiamx/keyring-U0L97B/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-xchat-gnome.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=6322
:DESKTOP_STARTUP_ID=gnome-shell-1177-THINK-MX-xchat-gnome-6_TIME3029671

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 28216                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       28216                28216                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/xiamx/.xsession-errors
:pos:	15913
:flags:	0102002
:2:/home/xiamx/.xsession-errors
:pos:	15913
:flags:	0102002
:3:socket:[286686]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[286687]
:pos:	0
:flags:	02000002
:6:socket:[293014]
:pos:	0
:flags:	02004002
:7:socket:[291377]
:pos:	0
:flags:	02004002
:8:socket:[291681]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul 30 19:55:35 THINK-MX yum[16485]: Installed: xchat-gnome-0.26.2-6.git40c5bf988.fc17.x86_64
:Aug  4 22:43:58 THINK-MX kernel: [ 3102.154304] xchat-gnome[6322] general protection ip:3d422308dc sp:7fff488c1a68 error:0 in libgobject-2.0.so.0.3200.4[3d42200000+4b000]
:Aug  4 22:43:59 THINK-MX abrt[6404]: Saved core dump of pid 6322 (/usr/bin/xchat-gnome) to /var/spool/abrt/ccpp-2012-08-04-22:43:58-6322 (15683584 bytes)
Comment 1 Mengxuan Xia 2012-08-04 22:53:44 EDT
Created attachment 602312 [details]
File: backtrace
Comment 2 Mengxuan Xia 2012-08-04 22:53:45 EDT
Created attachment 602313 [details]
File: smolt_data
Comment 3 Mengxuan Xia 2012-08-04 22:53:48 EDT
Created attachment 602314 [details]
File: maps
Comment 4 Mengxuan Xia 2012-08-04 22:53:51 EDT
Created attachment 602315 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 21:22:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:43:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.